Bug 296839 - mt940 import mode not yet implemented
Summary: mt940 import mode not yet implemented
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 22:17 UTC by Matthias Mailänder
Modified: 2012-04-01 16:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Mailänder 2012-03-26 22:17:51 UTC
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Build Identifier: 

When I try to import a MT940 file from my online banking website via Firefox download as .txt file it is not recognized by the filter "all available formats". If I remove the filter and select the file I get [Error 1] Import mode not yet implemented. As http://skrooge.org/faq#t2n70 says MT940 is already supported I wonder how to fix it. I checked the OBS Build logs and the plugin seems to build fine, no dependency missing. Also in the source code repository at http://quickgit.kde.org/index.php?p=skrooge.git&a=tree&h=8d73d94f0030a934402216d3b0c8b9097e7480f3&hb=c7989a44617e79e193b07d76ffb73f90d6daa4d8&f=plugins%2Fimport%2Fskrooge_import_mt940 there are files with some code which does not say "not implemented"

Reproducible: Always

Steps to Reproduce:
1. try to import MT940 file
Actual Results:  
[Error 1] Import mode not yet implemented

Expected Results:  
proper import as advertised :)

This is confusing. Is MT940 supported and disabled or not yet supported and how can I help?
Comment 1 Stephane MANKOWSKI 2012-03-27 06:37:13 UTC
To be identified as a MT940 file, the extension of the file must be .mt940.

So, you could you change the extension of the file and try again.
Comment 2 Matthias Mailänder 2012-03-30 18:58:55 UTC
That did the trick.

However name of the bank and bank code was wrongly "STARTUMSE" in Skrooge.
Account name was the bank code.

Syntax of my banks .mt940 file was
:20:STARTUMSE
:25:BANK_CODE/ACCOUNT_NUMBER

The rest seems to have been imported correctly.
Comment 3 Stephane MANKOWSKI 2012-04-01 16:21:55 UTC
Git commit 5167bbab90fefa1e8786e3c45caed5413677ec52 by Stephane Mankowski.
Committed on 01/04/2012 at 18:21.
Pushed by smankowski into branch 'Feature'.
Related: bug 940

M  +3    -2    plugins/import/skrooge_import_mt940/skgimportpluginmt940.cpp
M  +4    -4    tests/skgbankmodelertest/skgtestimportmt940.cpp

http://commits.kde.org/skrooge/5167bbab90fefa1e8786e3c45caed5413677ec52